Loading...
Searching...
No Matches
stroid::utils Namespace Reference

## Functions

void | MarkFlippedElements (mfem::Mesh &mesh)
| Mark elements with negative Jacobian determinant.
void | MarkFlippedBoundaryElements (mfem::Mesh &mesh)
| Mark boundary elements whose outward normal orientation is flipped.

## Function Documentation

## MarkFlippedBoundaryElements()

void stroid::utils::MarkFlippedBoundaryElements | ( | mfem::Mesh & | mesh | ) |

Mark boundary elements whose outward normal orientation is flipped.

Boundary elements detected as flipped are assigned attribute 500.

Parameters

  mesh | Mesh to scan and update in-place.

## MarkFlippedElements()

void stroid::utils::MarkFlippedElements | ( | mfem::Mesh & | mesh | ) |

Mark elements with negative Jacobian determinant.

Elements detected as flipped are assigned attribute 999.

Parameters

  mesh | Mesh to scan and update in-place.